<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class overrides Kohana's Database
 *
 * This file contains enhancements for Kohana, that should be considered upstream and maybe havent been yet.
 *
 * @package    lnApp
 * @category   Modifications
 * @author     Deon George
 * @copyright  (c) 2014 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class lnApp_Database extends Kohana_Database {
	/**
	 * Return a database configuration setting
	 *
	 * @param string Configuration value to return
	 * @return string|NULL Value of setting or NULL if it doesnt exist
	 */
	public function config($key) {
		return isset($this->_config[$key]) ? $this->_config[$key] : NULL;
	}
}
?>
